Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025201
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminoralways2013-11-22 14:352014-01-17 15:49
ReportercaristuView Statuspublic 
Assigned Toshankarb 
PriorityhighResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisiond1329399138a
ProjectionnoneETAnoneTarget Version3.0PR14Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025201: Make public the PrintController class methods

DescriptionIt would be nice if some of the PrintController class methods like buildReport() or printReports() would be public. This way, they could be used directly for other custom java classes in order to render reports for example.
Steps To Reproduce.
TagsNo tags attached.
Attached Filesdiff file icon FixIssue25201.diff [^] (2,904 bytes) 2013-12-31 05:55 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0063320)
hgbot (developer)
2014-01-09 05:00

Repository: erp/devel/pi
Changeset: d1329399138ae4b93c8832175e37bf38f67d98c6
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Dec 30 10:46:28 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/d1329399138ae4b93c8832175e37bf38f67d98c6 [^]

Fixes Issue 0025201: Make public the PrintController class methods

The following methods are changed to public.
* printReports(HttpServletResponse response, Collection<JasperPrint> jrPrintReports,
      Collection<Report> reports)
* buildReport(HttpServletResponse response, VariablesSecureApp vars,
      String strDocumentId, final ReportManager reportManager, DocumentType documentType,
      OutputTypeEnum outputType)
* buildReport(HttpServletResponse response, VariablesSecureApp vars,
      String strDocumentId, final ReportManager reportManager, DocumentType documentType,
      OutputTypeEnum outputType, String templateId)
* buildReport(HttpServletResponse response, VariablesSecureApp vars,
      String strDocumentId, Map<String, Report> reports, final ReportManager reportManager)

---
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
---
(0063384)
AugustoMauch (developer)
2014-01-13 13:39

Code reviewed and verified in pi@d1329399138a
(0063488)
hudsonbot (developer)
2014-01-17 15:49

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9669102eb541 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-22 14:35 caristu New Issue
2013-11-22 14:35 caristu Assigned To => AugustoMauch
2013-11-22 14:35 caristu Modules => Core
2013-11-22 14:35 caristu Triggers an Emergency Pack => No
2013-11-22 14:36 caristu Type feature request => design defect
2013-11-22 14:36 caristu Description Updated View Revisions
2013-11-22 14:36 caristu Issue Monitored: networkb
2013-11-22 15:33 caristu version => pi
2013-11-22 15:33 caristu Target Version => 3.0MP31
2013-12-31 05:11 shankarb Assigned To AugustoMauch => shankarb
2013-12-31 05:55 shankarb File Added: FixIssue25201.diff
2013-12-31 05:56 shankarb Status new => scheduled
2013-12-31 05:56 shankarb fix_in_branch => pi
2014-01-02 12:38 jonalegriaesarte Target Version 3.0MP31 => 3.0MP32
2014-01-09 04:58 shankarb Review Assigned To => AugustoMauch
2014-01-09 04:58 shankarb fix_in_branch pi =>
2014-01-09 05:00 shankarb Issue Monitored: AugustoMauch
2014-01-09 05:00 hgbot Checkin
2014-01-09 05:00 hgbot Note Added: 0063320
2014-01-09 05:00 hgbot Status scheduled => resolved
2014-01-09 05:00 hgbot Resolution open => fixed
2014-01-09 05:00 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d1329399138ae4b93c8832175e37bf38f67d98c6 [^]
2014-01-13 13:39 AugustoMauch Note Added: 0063384
2014-01-13 13:39 AugustoMauch Status resolved => closed
2014-01-13 13:39 AugustoMauch Fixed in Version => 3.0MP32
2014-01-17 15:49 hudsonbot Checkin
2014-01-17 15:49 hudsonbot Note Added: 0063488


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker